Bug 1116870 - Mouse pointer disappears after changing guest resolution
Summary: Mouse pointer disappears after changing guest resolution
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-qxl
Version: 20
Hardware: All
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Alon Levy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1030531
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-07 14:04 UTC by Marc-Andre Lureau
Modified: 2014-07-22 03:31 UTC (History)
12 users (show)

Fixed In Version: xorg-x11-drv-qxl-0.1.1-4.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of: 1030531
Environment:
Last Closed: 2014-07-22 03:31:35 UTC


Attachments (Terms of Use)

Description Marc-Andre Lureau 2014-07-07 14:04:28 UTC
+++ This bug was initially created as a clone of Bug #1030531 +++

Description of problem:
After changing screen resolution of the guest by resizing the remote-viewer window (arbitrary resolution change feature), the mouse pointer in the guest becomes invisible.

Version-Release number of selected component (if applicable):
Guest: RHEL7
spice-vdagent-0.14.0-5.el7.x86_64

Host & Client: RHEL7
spice-server-0.12.4-3.el7.x86_64
spice-gtk3-0.20-6.el7.x86_64
qemu-kvm-1.5.3-19.el7.x86_64
libvirt-client-1.1.1-12.el7.x86_64

How reproducible:
100 % times

Steps to Reproduce:
1. run RHEL7 VM with spice-vdagent service running
2. resize the remote-viewer window

Actual results:
Guest screen resolution changes and the mouse pointer becomes invisible.

Expected results:
The resolution changes and the mouse pointer stays visible as before.

Additional info:
Restarting the spice-vdagent service helps.

--- Additional comment from RHEL Product and Program Management on 2014-03-22 02:31:56 EDT ---

This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

--- Additional comment from Marc-Andre Lureau on 2014-07-02 06:24:03 EDT ---

POSTED:
http://lists.freedesktop.org/archives/spice-devel/2014-July/017031.html

Comment 1 Fedora Update System 2014-07-07 17:42:17 UTC
xorg-x11-drv-qxl-0.1.1-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/xorg-x11-drv-qxl-0.1.1-4.fc20

Comment 2 Fedora Update System 2014-07-09 02:28:59 UTC
Package xorg-x11-drv-qxl-0.1.1-4.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xorg-x11-drv-qxl-0.1.1-4.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-8186/xorg-x11-drv-qxl-0.1.1-4.fc20
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2014-07-22 03:31:35 UTC
xorg-x11-drv-qxl-0.1.1-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.